.instagram-zoom .social-hashtag {
    color: rgb(25, 123, 255);
}

.instagram-wrapper .container {
    max-width: 1400px;
    padding: 0;

    a {
        text-decoration: none;
    }
}

.instagram {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;

    .instagram-item {
        display: block;
        position: relative;
        width: 33.33%;
        overflow: hidden;
        aspect-ratio: 1 / 1;
        cursor: pointer;
    }

    .instagram-item-icon {
        opacity: 1;
        position: absolute;
        right: 1.25rem;
        top: 0.75rem;
        z-index: 3;
    }

    .instagram-item-icon svg {
        fill: rgba(255,255,255,0.8);
        width: 24px;
        height: 24px;
    }

    .instagram-item:hover .instagram-item-icon {
        opacity: 0.25;
    }

    .instagram-item img {
        position: relative;
        height: 100%;
        width: 100%;
        object-fit: cover;
    }

    .instagram-item-text-container {
        transition: opacity .2s ease-out;
        position: absolute;
        left: 0; top: 0; right: 0; bottom: 0;
        z-index: 1;
        text-align: center;
        opacity: 0;
        overflow: hidden;
        background-color: rgba(0, 0, 0, 0.8);
        padding: 3.5rem 1.75rem;
        display: flex;
        align-items: center;
    }

    .instagram-item-text-content {
        transition: transform .2s ease-out;
        transform: translateY(40px);
        width: 100%;
    }

    .instagram-icons {
        justify-content: center;
        justify-items: center;
        display: flex;
        gap: 3rem;
    }

    .instagram-item-has-text .instagram-icons {
        margin-bottom: 1.75rem;
    }

    .instagram-icons > div {
        display: flex;
        flex-direction: row;
        gap: 0.5rem;
        align-items: center;
    }

    .instagram-icons svg {
        fill: #fff;
        display: inline-block;
        width: 24px;
        height: 24px;
        overflow: visible
    }

    .instagram-item-text {
        width: 100%;
        height: 50%;
    }

    .instagram-item:hover .instagram-item-text-container {
        opacity: 1;
    }

    .instagram-item:hover .instagram-item-text-content {
        transform: translateY(0);
    }

    .instagram-header {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        padding: 0 0 1rem 0;
        flex-wrap: nowrap;
        justify-content: center;
        align-items: center;
        margin: 0 auto;
    }

    .instagram-header-user {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .instagram-header-user-picture-wrapper {
        background: linear-gradient(40deg,#f99b4a 15%,#dd3071 50%,#c72e8d 85%);
        width: 48px;
        height: 48px;
        border-radius: 50%;
        padding: 4px;
        box-sizing: border-box;
        margin-right: 12px;
    }

    .instagram-header-user-picture {
        box-shadow: 0 0 0 2px rgb(255, 255, 255);
        display: block;
        width: 40px;
        height: 40px;
        border-radius: 50%;
        box-sizing: border-box;
        margin: 0 !important;
    }

    .instagram-header-user-info-name {
        display: flex;
        align-items: center;
    }

    .instagram-header-user-info-caption {
        opacity: .5;
    }

    .instagram-header-stats {
        display: flex;
        justify-content: center;
        gap: 1rem;
    }

    .instagram-header-stats-item {
        text-align: center;
    }

    .instagram-header-stats-item-label {
        opacity: .5;
    }

    .instagram-header-follow-button-wrapper {
        display: inline-block;
    }

    .instagram-header-follow-button {
        display: flex;
        align-items: center;
        text-align: center;
        position: relative;
        height: 32px;
        border-radius: 4px;
        overflow: hidden;
        padding: 0 12px;
        border: none;
        background: #BFC3C6;
        color: #384047;
        outline: none;
        cursor: pointer;
    }


    .instagram-header-follow-button svg {
        width: 16px;
        height: 16px;
        display: block;
        margin-right: 8px;
        fill: currentColor;
    }

    .instagram-header-follow-button-label {
        cursor: pointer;
        text-align: center;
        color: inherit;
    }


    /**************** MEDIA QUERIES ****************/
    @media (max-width: 1399px) {
        /* INSTAGRAM */
        .instagram-item-text-container {
            padding: 0.75rem;
        }

        .instagram-item {
            font-size: 0.75rem;
        }

        .instagram-icons {
            margin-bottom: 0.75rem;
            gap: 2rem;
        }

        .instagram-wrapper .container {
            max-width: 1140px;
        }
    }

    @media (max-width: 991px) {

        .instagram-item {
            font-size: 0.5rem;
        }

        .instagram-item-text {
            display: none;
        }
        .instagram-item-text-content {
            width: 100%;
        }

        .instagram-icons {
            flex-direction: column;
            gap: 1rem;
        }

        .instagram-icons > div {
            justify-content: center;
        }
    }


    @media (max-width: 767px) {
        .instagram-wrapper .container {
            max-width: 720px;
        }

        .instagram-header-middle {
            margin-left: auto;
        }

        .instagram-header-right {
            margin-right: auto;
        }

        .instagram-icons {
            transform: scale(0.75);
        }

    }

    @media (max-width: 575px) {
        /* INSTAGRAM */

        .instagram-item-text-container {
        }

        .instagram-item {
            font-size: 0.3rem;
        }

        .instagram-wrapper .container {
            max-width: 100%;
        }

    }

    /********************* INSTAGRAM ********************

        Close to reference:
        https://elfsight.com/instagram-feed-instashow/

    */

    .instagram-item-icon {
        color: #fff;
        font-size: 1.75rem;
    }

    .instagram-item-text-container {
        color: #fff;
    }

    .instagram-icons {
        font-size: 1.2rem;
    }

    .instagram-post-follow {
        color: rgb(56, 151, 240);
    }

    .instagram-header-user-info {
        color: #000;
    }

    .instagram-header-user-info-name {
        font-size: 1rem;
        font-weight: bold;
        color: currentColor;
    }

    .instagram-header-user-info-caption {
        font-size: 0.70rem;
    }

    .instagram-header-stats-item-value {
        font-size: 0.85rem;
        font-weight: bold;
        color: currentColor;
    }

    .instagram-header-stats-item-label {
        font-size: 0.85rem;
        color: currentColor;
    }

    .instagram-header-follow-button {
        font-weight: 400;
        font-size: 0.85rem;
        color: #fff;
    }

    .instagram-header-follow-button-label {
        color: #fff;
    }
}

